Search found 407 matches

Go to advanced search

by Gift
Sat Feb 16, 2019 9:35 am
Forum: Forum in Deutsch
Topic: [fast gelöst] Trennfläche für Formenbau, Trimmen an Silhouette - wie?
Replies: 81
Views: 3415

Re: Trennfläche für Formenbau, Trimmen an Silhouette - wie?

Durch die Projektion erhalten wir den Umriss. Aus der Kontur können wir eine Fläche erstellen. Das Problem bei Drawing.projectEx ist, dass das Ergebnis immer auf der XY-Ebene landet. Macht ja für Zeichnungsableitungen auch Sinn. Im folgenden Beispiel habe ich das so gedreht, dass es passt: # select ...
by Gift
Fri Feb 15, 2019 6:00 pm
Forum: Forum in Deutsch
Topic: [fast gelöst] Trennfläche für Formenbau, Trimmen an Silhouette - wie?
Replies: 81
Views: 3415

Re: Trennfläche für Formenbau, Trimmen an Silhouette - wie?

Hey Wilfried,

ich bin aber auch ein Werkzeugbauer. :lol:

Gruß
Benjamin
by Gift
Fri Feb 15, 2019 5:24 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 347
Views: 27036

Re: Curves workbench

Is this known?
by Gift
Mon Feb 04, 2019 8:43 pm
Forum: Open discussion
Topic: freecadweb.org performance issues
Replies: 20
Views: 1227

Re: freecadweb.org performance issues

In the first step, we should use more sub domains (like cdn) for the static content. E.g. js.freecadweb.org, img.freecadweb.org, css.freecad.web.org. The advantage is that the browser will download more files parallel. Currently the host do not suport HTTP2!! For more details read this: https://www....
by Gift
Sat Feb 02, 2019 8:42 am
Forum: Python scripting and macros
Topic: App::PropertyVectorList to Accept None?
Replies: 13
Views: 332

Re: App::PropertyVectorList to Accept None?

Is it possible to use a 'maxVector' ? import sys, FreeCAD maxVector = FreeCAD.Vector(sys.float_info.max, sys.float_info.max, sys.float_info.max) vectors = [FreeCAD.Vector(),FreeCAD.Vector(1.0, 0.0, 0.0), maxVector, FreeCAD.Vector(0.0, 1.0, 0.0)] for idx, val in enumerate(vectors): if val.Length == f...
by Gift
Sat Feb 02, 2019 8:21 am
Forum: Python scripting and macros
Topic: ezdxf- get dxf Projected Coordinate System
Replies: 2
Views: 157

Re: ezdxf- get dxf Projected Coordinate System

Please attach an example. Is XML-File at the end of the file?
by Gift
Sat Feb 02, 2019 8:12 am
Forum: Python scripting and macros
Topic: best way to check if 2 vectors are parallel
Replies: 4
Views: 189

Re: best way to check if 2 vectors are parallel

Testable summary: tol = 1e-7 v1 = FreeCAD.Vector(1.0, 1.0, 0.0) v2 = FreeCAD.Vector(2.0, 2.0, 0.0) v3 = FreeCAD.Vector(-1.0, -1.0, 0.0) v4 = FreeCAD.Vector(0.0, 2.0, 0.0) v5 = FreeCAD.Vector(2.0, 0.0, 0.0) v6 = FreeCAD.Vector(1.0, 0.5, 0.0) # https://en.wikipedia.org/wiki/Dot_product abs(v4.dot(v5)/...
by Gift
Sun Jan 27, 2019 3:47 pm
Forum: Forum in Deutsch
Topic: Frage zum Draft Modul
Replies: 14
Views: 491

Re: Frage zum Draft Modul

Die fast 20.000 Splines sind für meinen altes Notebook zu viel. Der neue DXF-Importer scheint nicht alle Spline Flags zu unterstützen. Hat von euch jemand Erfahrung ob Linien (2Pole) und Bögen(4 Pole) eine bessere Performance als die BSplineCurves haben? edit: Beispiel zu der Frage import Part sel =...
by Gift
Sat Jan 26, 2019 10:02 am
Forum: Forum in Deutsch
Topic: Frage zum Draft Modul
Replies: 14
Views: 491

Re: Frage zum Draft Modul

Hallo pro2311,

kannst du die DXF-File auch hochladen?

Gruß
Benjamin
by Gift
Sat Jan 26, 2019 9:52 am
Forum: Forum in Deutsch
Topic: FreeCAD das richtige für mich?
Replies: 2
Views: 221

Re: FreeCAD das richtige für mich?

Die Antwort kannst du nur selber finden. Beginn doch einfach mal ein paar Programme zu testen. Wenn dir 2D ohne Parametrik reicht, kannst z.B. LibreCAD nutzen.

Go to advanced search